﻿
<div id="content"></div>

<script src="@Url.Content("~/js/Tutorial.jsx")" type="module"></script>

<!-- Modal -->
<div class="modal fade" id="modalCenter" tabindex="-1" role="dialog" aria-labelledby="modalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modalTitle"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="modalBody">
                <h5>Overview:</h5>
                <span id="spanOverview"></span>
                <h5>Starring:</h5>
                <span id="spanStarring"></span>
                <h5>Genre:</h5>
                <span id="spanGenre"></span>
            </div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function () {
        $("#btnSearch").click(function () {
            search();
        });
    });

    function search() {
        $.ajax({
            method: 'POST',
            url: '@Url.Action("SearchMovies")',
            data: { search: $("#inputSearch").val() }
        })
        .done(function (result) {
            $("#divMovies").empty();

            var movies = ''
            for (x = 0; x < result.length; x++) {
                movies += '<div class="product-grid col-xs-12 col-sm-6 col-md-3">'
                movies += '<div class="product-item">'
                movies += '<div class="image">'
                movies += '<a href="#">'
                movies += '<img src="' + result[x].img + '" />'
                movies += '</a>'
                movies += '</div>'
                movies += '<div class="caption">'
                movies += '<div class="name text-center">'
                movies += '<span>' + result[x].name + '</span>'
                movies += '</div>'
                movies += '<div class="price">'
                movies += '<span>Release date: ' + result[x].releaseDate.split('T')[0] + '</span>'
                movies += '</div>'
                movies += '<div class="cart">'
                movies += '<button type="button" onclick=movieDetails(' + result[x].id + ') class="btn btn-primary">See more</button>'
                movies += '</div>'
                movies += '</div>'
                movies += '</div>'
                movies += '</div>'
            }

            if (movies == '')
                $("#divMovies").append("<span>Sorry, we couldn't find any movies =(</span>");
            else
                $("#divMovies").append(movies);
        })
    }

    function movieDetails(id) {
        $.ajax({
            method: 'POST',
            url: '@Url.Action("Details")',
            data: { id : id}
        })
        .done(function (result) {
            console.log(result.name)
            var genres = '';
            var actors = '';

            for (x = 0; x < result.genre.length; x++) {
                genres += result.genre[x] + " ,";
            }

            for (x = 0; x < result.actors.length; x++) {
                actors += result.actors[x] + " ,";
                console.log(actors)
            }

            actors = actors.replace(/.$/, ".")
            genres = genres.replace(/.$/, ".")

            $("#modalTitle").empty();
            $("#spanOverview").empty();
            $("#spanStarring").empty();
            $("#spanGenre").empty();

            $("#modalTitle").append(result.name);
            $("#spanOverview").append(result.overview);
            $("#spanStarring").append(actors);
            $("#spanGenre").append(genres);

            $('#modalCenter').modal('show');
        })
    }
</script>
